Package: org.grails.web.servlet.mvc

## [Groovy] Class TokenResponseActionResultTransformer

- org.grails.web.servlet.mvc.TokenResponseActionResultTransformer

- All Implemented Interfaces and Traits:
    ActionResultTransformer

      @groovy.transform.CompileStatic
      class TokenResponseActionResultTransformer
      extends java.lang.Object
      implements ActionResultTransformer

  An ActionResultTransformer that adds support for the "Synchronizer Token Pattern"

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TokenResponseActionResultTransformer ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `transformActionResult(GrailsWebRequest webRequest, java.lang.String viewName, java.lang.Object actionResult)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### TokenResponseActionResultTransformer()

  - ### Method Detail

    - #### @java.lang.Override java.lang.Object transformActionResult(GrailsWebRequest webRequest, java.lang.String viewName, java.lang.Object actionResult)